Description

When you use redmine in the compay,you coworker will register account themselfs, you need limit email address,only 

name@company.com can register,redmine can't check the email like '%@compay.com' now.

you can find the regular expression in models/user.rb

validates_format_of :mail, :with => /^([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})$/i, :allow_blank => t

rue

 make the '@compay.com' limit can be config maybe is a good idea.

Related issues:

Related to Redmine - Defect #12106: Users can easily use any (not yet used) e... New

Has duplicate Redmine - Feature #14341: Ability to self-register only from ce... Closed

Is duplicate of Redmine - Feature #3369: Allowed/Disallowed email domains set... Closed 2009-05-16

History

#1 - 2013-01-15 20:11 - Anonymous

Can this be achieved by limiting registration to LDAP...?

#2 - 2013-01-16 04:48 - Jinyi Cui

For example, you company have 300+person, only register use can create a issue, create 300+ user need a lot of time, so you let user register

themselfs, but you do not want other person register, cause redmine is open for Internet

#3 - 2013-01-16 20:01 - Anonymous

I see what you're saying. I'm wondering if you could disable self-registration entirely, configure LDAP access in Redmine settings to your work

network, and have users created on-the-fly the first time they attempt to sign into Redmine.

LDAP would basically let Redmine authenticate users with their standard work/email credentials. If they don't exist on your mail server, they can't

proceed.

The last LDAP configuration I looked at used a plugin to sync the Exchange server's address book to Redmine's user list, automatically creating user

accounts for everyone, which is different from the on-demand creation I described above. I don't know enough about LDAP+Redmine to give you

step-by-step instructions, but I do believe what you want to do is possible somehow through this path. Odds are very good that whatever your

company is using for email offers LDAP access.

#4 - 2013-01-17 10:07 - Jinyi Cui

yes,I can solve this problem directly by modify code,however,if there have this function is a good thing

#5 - 2013-01-20 04:21 - Harry Garrood

I'm wondering if you could disable self-registration entirely, configure LDAP access in Redmine settings to your work network, and have users

created on-the-fly the first time they attempt to sign into Redmine.

 This is possible without using any plugins -- it's what the Redmine instance I use does

#6 - 2017-05-03 13:24 - Go MAEDA
- Has duplicate Feature #14341: Ability to self-register only from ceratain domains added

#7 - 2017-05-03 13:30 - Go MAEDA

- Related to Defect #12106: Users can easily use any (not yet used) email address for their account (potential security issue) added

#8 - 2021-06-12 10:18 - Go MAEDA

- Is duplicate of Feature #3369: Allowed/Disallowed email domains settings to restrict users' email addresses added

#9 - 2021-06-12 10:18 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented in Redmine 4.2.0 (#3369).
